Get Price Details by Price ID - Fabric
Get Price Details by Price ID
cURL
curl --request GET \
--url https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId} \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}")
.header("x-site-context", "<x-site-context>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-price/price/{priceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
response = http.request(request)
puts response.read_body
Response Codes
| Code | Description |
|---|---|
| 200 | Successfully retrieves price details. |
| 400 | SKU cannot be empty. |
| 500 | An internal error occurred. If the issue persists please contact support@fabric.inc. |
Headers
- x-site-context: string, required
Thex-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel,stage, anddateattributes can be used to further narrow the scope of your data source.
Path Parameters
- priceId: string, required
The ID associated with the price of an item.
Query Parameters
priceListId: string, required
PriceListId to get the price from.type: enum
The type of id that is provided in path for priceId. Available options:id,itemId,itemSku.
Sample Response
{
"query": {
"limit": 10,
"count": 40,
"page": 1
},
"prices": [
{
"_id": "616e011037a3810008cfb256",
"priceListId": 100000,
"isSoftDeleted": false,
"itemId": 1000011218,
"itemSku": "1234XYZ",
"offerId": 371922,
"offers": [
{
"kind": 12,
"channel": 12,
"startDate": "2021-12-30T02:05:00.000Z",
"endDate": "2099-12-31T00:00:00.000Z",
"price": {
"base": 2000,
"sale": 1000,
"cost": 800,
"currency": "USD"
},
"range": [
{
"_id": "616e143828d0b800086dd84a",
"minQuantity": 2,
"price": 500
}
]
}
],
"createdAt": "2021-10-18T23:19:44.852Z",
"updatedAt": "2021-10-19T00:40:30.341Z",
"job": false
}
]
}
{
"code": 400,
"message": "SKU cannot be empty"
}
{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}